BTGCLI(1)

NAME
btgcli - bittorrent client, part of the btg project.

SYNOPSIS
btgcli [-o <filename> ] [-u <URL> ] [--nostart] [-l] [--noutput] [--command <command> ] [-A] [-a] [-s <session ID> ] [--config <filename> ] [--dht] [--no-dht] [--encryption] [--no-encryption] [-v] [-h]

DESCRIPTION
btgcli is a console bittorrent client. Ncurses is used for screen and input handling.

If started without any arguments, it will attempt to connect to the daemon (btgdaemon) and start a new session.

After the client connects to the daemon and initializes, it will present a prompt which can be used to enter commands. Type "help" at the prompt to list available commands.

OPTIONS

-o  <filename> - Name of a torrent file to open after initializing the client.

-u  <URL> - URL to open after initializing the client. The URL should point to a torrent file.

--nostart
    - Do not start torrents after opening them. The default is to start a torrent after it was opened.

-l  - List running sessions.

--noutput
    - Do not output anything. Useful in connection with --command.

--command
    <command> - Execute one or more commands, separated by ";". To list available commands, type "help" in the client. For the syntax used, type "syntax <command>" in the client.

-A  - Attach to the first available session.

-a  - Show a list of sessions and let the user choose which session to attach to.

-s  <session ID> - Attach to a session described by the session ID.

--config
    <filename> - Name of a client configuration file to use.

--dht
    - Enable DHT.

--no-dht
    - Disable DHT.

--encryption
    - Enable encryption.

--no-encryption
    - Disable encryption.

-v  - Be verbose.

-h|--help
    - Print a short help.

FILES
See btg_config(1).

CONFIGURATION

See btg_config(1).

AUTHOR
Written by Michael Wojciechowski.

SEE ALSO
btg(5), btg_config(5), btgui(1), btgdaemon(1)

BUGS
No known bugs.